python-oslo.reports (3.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:20:19 -0500

python-oslo.reports (2.4.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:16:24 -0400

python-oslo.reports (2.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:05:23 -0400

python-oslo.reports (2.3.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:42:45 -0400

python-oslo.reports (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:53:07 -0400

python-oslo.reports (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:28 -0400

python-oslo.reports (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:47 -0400

python-oslo.reports (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining python2 Build-Depends.
  * d/rules: Add override_dh_auto_clean and override_dh_auto_build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:59:02 -0400

python-oslo.reports (1.31.1-0ubuntu2) focal; urgency=medium

  * d/tests/python-import: Use python3 when determining module name,
    resolving autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Feb 2020 11:26:27 +0000

python-oslo.reports (1.31.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:49:49 +0000

python-oslo.reports (1.30.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:56:41 -0400

python-oslo.reports (1.29.2-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 14:48:34 -0400

python-oslo.reports (1.29.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:29 +0000

python-oslo.reports (1.29.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Dropped, no longer needed

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:26:06 +0000

python-oslo.reports (1.28.0-0ubuntu3) cosmic; urgency=medium

  * d/p/oslo.config-compat.patch: Cherry pick fix for compat with
    latest oslo.config release, resolving autopkgtest failures.

 -- James Page <james.page@ubuntu.com>  Fri, 31 Aug 2018 10:03:50 +0100

python-oslo.reports (1.28.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch to python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 09:31:39 +0100

python-oslo.reports (1.28.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/rules: Use pkgos-dh_auto_test.
    - d/control: Update Vcs-* fields, enable autopkgtest-pkg-python.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:02:24 +0100

python-oslo.reports (1.26.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:26:41 +0000

python-oslo.reports (1.26.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 11:28:45 +0000

python-oslo.reports (1.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2, no changes.
  * d/p/*: Drop all patches, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:39 +0000

python-oslo.reports (1.24.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:23 +0000

python-oslo.reports (1.22.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Fixed minimum version for openstackdocstheme (Closes: #880398).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 09:47:43 +0000

python-oslo.reports (1.22.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Sep 2017 17:03:26 +0000

python-oslo.reports (1.22.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:14:21 -0400

python-oslo.reports (1.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 22:13:12 -0400

python-oslo.reports (1.19.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:14 +0100

python-oslo.reports (1.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:30:30 -0500

python-oslo.reports (1.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:45:47 -0500

python-oslo.reports (1.15.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 13:35:53 -0400

python-oslo.reports (1.14.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Aug 2016 15:41:22 -0400

python-oslo.reports (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Switch to pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 19:20:11 +0000

python-oslo.reports (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:13:22 +0000

python-oslo.reports (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 12:43:58 +0000

python-oslo.reports (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 02:11:12 +0000

python-oslo.reports (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends versions.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 07:12:17 +0000

python-oslo.reports (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Also test with Py3.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 06:36:18 +0000

python-oslo.reports (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:51:33 +0100

python-oslo.reports (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:31:55 +0000

python-oslo.reports (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Only test with python 3.4 for now.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 18:34:39 +0200

python-oslo.reports (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #794167)

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jul 2015 00:18:51 +0200

